def pom
def dockerImageName = "team-ing"
def dockerImageTag

pipeline {	
	agent {
		docker { 
			reuseNode true
			image 'maven:3.8.1-jdk-11'
		}
	}
	stages {		
		
		stage('Build Project') {
			steps {
				sh "mvn compile"
			}
		}
		stage('Test Project') {
			steps {
				sh "mvn verify"
			}
		}
		stage('Code and Binaries Analysis') {
			steps {
				echo "pending to implement"
			}
		}
		
	}
	post {
        always {
            archiveArtifacts "target/**/*.jar"
            junit 'target/surefire-reports/*.xml'
        }
    }
}

stage('Docker Image build') {
	node {
		pom = readMavenPom file: 'pom.xml'
		dockerImageTag = "${dockerImageName}:${pom.version}"
		sh "docker build -f Dockerfile -t ${dockerImageTag} ."
	}
}
stage('Deploy Docker Image') {
	node {
		echo "pending to have a location"
	}
}